import {Column, ColumnStore, DomHelper} from "@bryntum/gantt";

export default class HyperlinkAddressColumn extends Column {
    static get $name() {
        return 'HyperlinkAddressColumn';
    }

    // unique alias of the column
    static get type() {
        return 'hyperlinkAddress';
    }

    // indicates that the column should be present in "Add New..." column
    static get isGanttColumn() {
        return true;
    }

    static get defaults() {
        return {
            // the column is mapped to "priority" field of the Task model
            field: 'hyperlinkAddress',
            text: "L{HyperlinkAddress}",
        };
    }

    get defaultEditor() {
        return {
            type: "textfield",
            displayField: "hyperlinkAddress",
            valueField: "hyperlinkAddress"
        }
    }

    // @ts-ignore
    renderer(config: any) {
        let element = DomHelper.createElement({
            tag: 'a',
            text: config.record.hyperlinkAddress

        })

        element.onclick = (event: any) => {
            if (event.ctrlKey || event.metaKey) {
                window.open(config.record.hyperlinkAddress)
            }
            event.preventDefault()
        }
        return element
    }
}

// register new column
ColumnStore.registerColumnType(HyperlinkAddressColumn);