import {CheckColumn, ColumnStore, Toast} from "@bryntum/gantt";

export default class KeyMilestoneColumn extends CheckColumn {
    static get $name() {
        return 'KeyMilestoneColumn';
    }

    // unique alias of the column
    static get type() {
        return 'keymilestone';
    }

    // indicates that the column should be present in "Add New..." column
    static get isGanttColumn() {
        return true;
    }

    static get defaults() {
        return {
            // the column is mapped to "priority" field of the Task model
            field: "keyMilestone",
            text: 'L{KeyMilestone}',
        };
    }

    renderer(renderData: any) {
        renderData.row.assignCls({
            "b-key-milestone": renderData.value
        })
    }

    construct(config: any, store: any) {
        // @ts-ignore
        super.construct(...arguments)
        // @ts-ignore
        this.on({
            beforeToggle: (event: any): any => {
                if (event.record.keyResult) {
                    Toast.show(this.L('First remove KeyResult'))
                    return false
                }
                return true
            },
            toggle: (event: any) => {
                if (event.checked) {
                    event.record.convertToMilestone()
                }
            },
            thisObj: this
        })
    }
}

// register new column
ColumnStore.registerColumnType(KeyMilestoneColumn);