import {CheckColumn, ColumnStore} from "@bryntum/gantt";

//CheckColumn выдает уже отцентрированную иконку
export default class ProgressIconColumn extends CheckColumn {
    static get $name() {
        return 'ProgressIconColumn';
    }

    // unique alias of the column
    static get type() {
        return 'progressiconcolumn';
    }

    // indicates that the column should be present in "Add New..." column
    static get isGanttColumn() {
        return true;
    }

    static get defaults() {
        return {
            // the column is mapped to "percentDone" field of the Task model
            field: "percentDone",
            text: '',
            icon: 'b-fa b-fa-info-circle'
        };
    }


    renderer(renderData: any) {
        const status = renderData.value === 100 ? 'b-fa b-fa-check-circle' : 'b-fa b-fa-circle';
        const statusColor = renderData.value === 100 ? 'Green' : 'Grey';

        return status ? {
            tag       : 'i',
            className : status,
            style: `color: ${statusColor}`
        } : '';
    }

    construct(config: any, store: any) {
        // @ts-ignore
        super.construct(...arguments)
        // @ts-ignore
    }
}

// register new column
ColumnStore.registerColumnType(ProgressIconColumn);