import {LocaleHelper, LocaleManager} from "@bryntum/gantt";
import En from "@bryntum/gantt/locales/gantt.locale.En";

const enExt = LocaleHelper.mergeLocales(En, {
    localeName: "EnExt",
    localeDesc: "English extended",
    extend: "En",
    Gantt: {
        'First select the task you want to edit': 'First select the task you want to edit',
        'First select the task you want to delete': 'First select the task(s) you want to delete',
        'Synchronization with work plan': 'Synchronization with work plan',
        'Something went wrong': 'Something went wrong',
        'There are unsaved changes': 'There are unsaved changes',
        'Work plan not found': 'Work plan not found',
        'New Task': "New Task",
        'New Milestone': "New Milestone",
        'New Summary Task': "New Summary Task"
    },
    Button: {
        'PlanList': 'Plan list',
        'Task': 'Task',
        'Edit': 'Edit',
        'View': 'View',
        'Delete': 'Delete',
        'Settings': 'Settings',


    },
    MenuItem: {
        'View': 'View',
        'Delete': 'Delete',
        'Save to server': 'Save to server',
        'Export to file': 'Export to file',
        'UI': 'UI',
        'Draw dependencies': 'Draw dependencies',
        'Task labels': 'Task labels',
        'Critical paths': 'Critical paths',
        "Features": 'Features',
        'Synchronization': 'Synchronization'
    },
    Slider: {
        'Row height': 'Row height',
        'Bar margin': 'Bar margin'
    },
    KeyMilestoneColumn: {
        "KeyMilestone": "Key Milestone",
        'First remove KeyResult': 'First remove KeyResult'
    },
    MilestoneColumn: {
        'First remove KeyResult': 'First remove KeyResult'
    },
    KeyResultColumn: {
        "KeyResult": "Key Result"
    },
    TaskCostCategoryColumn: {
        "TaskCostCategory": "Cost Category",
        "Parent has cost category": "Expense category defined by summary parent task"
    },
    HyperlinkColumn: {
        "Hyperlink": "Hyperlink",
    },
    HyperlinkAddressColumn: {
        "HyperlinkAddress": "Hyperlink address",
    },
    GeneralTab: {
        TaskCostCategory: "Cost Category"
    },
    Tooltip: {
        'Go to plan list page': 'Go to plan list page',
        'Save changes on the server': 'Save changes on the server',
        'Reload data from the server': 'Reload data from the server',
        'Create new task': 'Create new task',
        'Edit selected task': 'Edit selected task',
        'Delete selected tasks': 'Delete selected tasks',
        'Expand all': 'Expand all',
        'Collapse all': 'Collapse all',
        'Zoom in': 'Zoom in',
        'Zoom out': 'Zoom out',
        'Zoom to fit': 'Zoom to fit',
        'Gantt View actions': 'Gantt View actions',
        'Create new gantt view state': 'Create new gantt view state',
        'Save view state to server': 'Save view state to server',
        'Delete view state': 'Delete selected view state',
        'Export current view state to json': 'Export current view state to json',
        'Gantt scene settings': 'Gantt scene settings',
        'Show/Side dependencies arrow': 'Show/Side dependencies arrow',
        'Show/Side task labels': 'Show/Side task labels',
        'Show/Side critical paths': 'Show/Side critical paths',
        'Synchronize with work plan': 'Synchronize with work plan'

    }
})
LocaleManager.registerLocale("EnExt", {
    desc: "English extended",
    type: "locale",
    locale: enExt
})