import {LocaleHelper, LocaleManager} from "@bryntum/gantt";
import Ru from "@bryntum/gantt/locales/gantt.locale.Ru";

const ruExt = LocaleHelper.mergeLocales(Ru, {
    localeName: "RuExt",
    localeDesc: "Русский Расширенный",
    extend: "Ru",
    Button: {
        'PlanList': 'Список планов',
        'Task': 'Задача',
        'Edit': 'Редактировать',
        'View': 'Вид',
        'Delete': 'Удалить',
        'Settings': 'Настройки',

    },
    Gantt: {
        'First select the task you want to edit': 'Выберите задачу, которую необходимо отредактировать',
        'First select the task you want to delete': 'Выберите задачу(и), которую(ые) необходимо удалить',
        'Synchronization with work plan': 'Синхронизация с рабочим планом',
        'Something went wrong': 'Что-то пошло не так',
        'There are unsaved changes': 'Имеются несохраненные изменения',
        'Work plan not found': 'Рабочий план не найден',
        'New Task': 'Новая задача',
        'New Milestone': "Новая веха",
        'New Summary Task': "Новая суммарная задача",
        'One task is a subtask of another. Linking is not possible': 'Одна задача является подзадачей другой. Связывание невозможно'
    },
    MenuItem: {
        'View': 'Вид',
        'Delete': 'Удалить',
        'Save to server': 'Сохранить на сервер',
        'Export to file': 'Экспорт в файл',
        'UI': 'Интерфейс',
        'Draw dependencies': 'Отображать зависимости',
        'Task labels': 'Метки задач',
        'Critical paths': 'Критический путь',
        'Features': 'Фукнции',
        'Synchronization': 'Синхроинзировать'
    },
    Slider: {
        'Row height': 'Высота строк',
        'Bar margin': 'Ширина края'
    },
    KeyMilestoneColumn: {
        "KeyMilestone": "Ключевая веха",
        'First remove KeyResult': 'Невозможно удалить. У задачи имеется ключевой результат'
    },
    MilestoneColumn: {
        'First remove KeyResult': 'Невозможно удалить. У задачи имеется ключевой результат'
    },
    KeyResultColumn: {
        "KeyResult": "Ключевой Результат"
    },
    TaskCostCategoryColumn: {
        "TaskCostCategory": "Категория расходов",
        "Parent has cost category": "Категория расходов определена суммарной родительской задачей"

    },
    HyperlinkColumn: {
        "Hyperlink": "Гиперссылка",
    },
    HyperlinkAddressColumn: {
        "HyperlinkAddress": "Адресс гиперссылки",
    },
    GeneralTab: {
        TaskCostCategory: "Кат. расходов"
    },
    Tooltip: {
        "Go to plan list page": 'Перейти на страницу списка планов',
        "Save changes on the server": "Сохранить изменения на сервер",
        "Reload data from the server": "Загрузить данные с сервера",
        'Create new task': 'Создать новую задачу',
        'Edit selected task': 'Редактировать выбранную задачу',
        'Delete selected tasks': 'Удалить выбранную(ые) задачу(и)',
        'Expand all': 'Развернуть все',
        'Collapse all': 'Свернуть все',
        'Zoom in': 'Приблизить',
        'Zoom out': 'Отдалить',
        'Zoom to fit': 'Центрировать',
        'Gantt View actions': 'Список действий с видом',
        'Create new gantt view state': 'Создать новый вид',
        'Save view state to server': 'Сохранить состояние вида на сервер',
        'Delete view state': 'Удалить выбранное состояние вида',
        'Export current view state to json': 'Экспорт текущего состояния вида в json',
        'Gantt scene settings': 'Настройки сцены диаграммы ганта',
        'Show/Side dependencies arrow': 'Отобразить/Скрыть стрелки зависимостей',
        'Show/Side task labels': 'Отобразить/Скрыть метки задач',
        'Show/Side critical paths': 'Отобразить/Скрыть критический путь',
        'Synchronize with work plan': 'Синхронизировать с рабочим планом'
    }
})
LocaleManager.registerLocale("RuExt", {
    desc: "Русский Расширенный",
    type: "locale",
    locale: ruExt
})