import AbstractPlanSynchronizer from "./AbstractPlanSynchronizer";
import {TaskExtModel} from "../TaskExtModel";
import {AssignmentModelExt} from "src/main/typescript/components/BGantt/model/AssignmentModelExt";

export default class DraftWorkPlanSynchronizer extends AbstractPlanSynchronizer {

    keyResultSummaryTask: TaskExtModel


    protected selectTasks(): Array<TaskExtModel> {
        // @ts-ignore
        return this.sourceProject.taskStore.records.filter((task) => {
            // @ts-ignore
            if (task.keyMilestone && !this.synchronizedProject.taskStore.getByGuid(task.getData("guid"))) {
                return true
            }
            // @ts-ignore
            for (const assignment: AssignmentModelExt of task.assignments) {
                // @ts-ignore
                if (assignment.getData("timeSheetIds")?.length > 0
                    // @ts-ignore
                    && !this.synchronizedProject.assignmentStore.getByGuid(assignment.getData("guid"))) {
                    return true
                }
            }
            return false

        })
    }

    protected clearOldestEntity() {

    }

    findNearestParent(selectedTask: TaskExtModel): TaskExtModel {
        let nearestParent = super.findNearestParent(selectedTask);
        // @ts-ignore
        if (nearestParent && nearestParent.id == this.synchronizedProject.taskStore.getRootTask().id) {
            if (!this.keyResultSummaryTask) {
                // @ts-ignore
                this.keyResultSummaryTask = this.synchronizedProject.taskStore.add({
                    name: "Ключевые результаты",
                    parentId: nearestParent.id
                })[0]
            }
            nearestParent = this.keyResultSummaryTask
        }
        return nearestParent
    }
}