import {TaskStore} from "@bryntum/gantt";
import {TaskExtModel} from "src/main/typescript/components/BGantt/TaskExtModel";

export class TaskExtStore extends TaskStore {
    static get $name() {
        return 'TaskStore';
    }

    //TODO Оптимизировать метод, добавив hashMap с хранением Guid/Object
    //     запрос инфо у bryntum https://www.bryntum.com/forum/viewtopic.php?f=52&t=20305&p=100799#p100799
    getByGuid(guid: any) {
        return this.findRecord("guid", guid, true)
    }


    /**
     * Creates a root partition.
     * If there is a root task, returns it
     * @param config
     */
    createRootTask(config: object) {
        if (!this.records.length) {
            // @ts-ignore
            return this.add({...config, startDate: this.project.startDate, rootTask: true})[0]
        }
        return this.allRecords[0]
    }

    /**
     *
     * @param createIsNotFound
     * @returnReturns the root task.
     * If createIsNotFound =true, creates a task if not found.
     */
    getRootTask(createIsNotFound: boolean = true) {
        if (createIsNotFound && !this.records.length) {
            // @ts-ignore
            return this.add({name: this.project.name, startDate: this.project.startDate, rootTask: true})[0]
        }
        return this.allRecords[0]
    }


    //TODO Возможно есть более правильный вариант. https://www.bryntum.com/forum/viewtopic.php?f=51&t=20474&p=101680#p101680
    construct(...args) {
        super.construct(...args);
        this.tree = true
        this.transformFlatData = true
        this.on({
            add: (event: { records: [TaskExtModel] }): any => {
                for (let task of event.records) {
                    if (task != this.getRootTask() && task.parent == this.rootNode) {
                        task.parentId = this.getRootTask().id
                        task.refreshWbs()
                    }
                }
            }
        })
    }
}

TaskExtStore.initClass()
