import React, {useContext, useMemo, useState} from 'react';
interface IGStateContext{
    hasGanttChanges:boolean,
    setHasGanttChanges: React.Dispatch<React.SetStateAction<boolean>>
}

const GStateContext = React.createContext<IGStateContext>({hasGanttChanges:false,setHasGanttChanges:()=>{}})
export const useGStateContext = () => useContext(GStateContext)


export const GStateProvider:React.FC = ({children}) => {
    const [hasGanttChanges, setHasGanttChanges] = useState<boolean>(false)
    const ganttStateObject = useMemo(()=>({hasGanttChanges, setHasGanttChanges}),[hasGanttChanges])


    return (
        <GStateContext.Provider value={ganttStateObject}>
            {children}
        </GStateContext.Provider>
    );
};

