export const isEveryTasksHaveNoChildren = (tasks: any[]) => tasks.every(({children}) =>
    Array.isArray(children)
        ? children.length === 0
        : !children)

export const isSomeTasksHaveChildren = (tasks: any[]) => tasks.some(({children}) =>
    Array.isArray(children)
        ? children.length !== 0
        : false)

export const isTasksFromTheSameHierarchy = (firstTask: any, secondTask: any) => {
    const recursive = (taskForCheck: any, iterateTask: any): boolean => {
        if (taskForCheck.equals(iterateTask)) {
            return true;
        }

        if (!iterateTask.parent) {
            return false;
        }

        return recursive(taskForCheck, iterateTask.parent);
    }

    return recursive(firstTask, secondTask) || recursive(secondTask, firstTask);
}